## libinput 1.10.4

=== meson_options.txt ===
option('udev-dir',
       type: 'string',
       value: '',
       description: 'udev base directory [default=$prefix/lib/udev]')
option('libwacom',
       type: 'boolean',
       value: true,
       description: 'Use libwacom for tablet identification (default=true)')
option('debug-gui',
       type: 'boolean',
       value: true,
       description: 'Enable the "debug-gui" feature in the libinput tool [default=true]')
option('tests',
       type: 'boolean',
       value: true,
       description: 'Build the tests [default=true]')
option('documentation',
       type: 'boolean',
       value: true,
       description: 'Build the documentation [default=true]')

## libinput 0.2.0

=== debian/changelog ===
libinput (0.2.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf:
    + Update for unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 31 May 2014 21:16:54 +0200

libinput (0.2.0-1) experimental; urgency=medium

  * New upstream release.
    + There is no API/ABI stability promise yet, but the API and ABI have
      been mostly stable so far. Since this is only in experimental at this
      point and there are no rdepends, I won't change the library name. That
      will change once there are rdepends or once the library is in unstable.
  * debian/copyright:
    + Updated copyright years.
  * debian/libinput0.symbols:
    + Updated for the new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 May 2014 18:48:01 +0200

libinput (0.1.0-1) experimental; urgency=medium

  * Initial release. Closes: #740223.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 01 Mar 2014 19:03:37 +0100

=== debian/control ===
Source: libinput
Section: libs
Priority: optional
Maintainer: Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 pkg-config,
 libmtdev-dev (>= 1.1.0),
 libudev-dev,
 libevdev-dev (>= 0.4),
Standards-Version: 3.9.5
Homepage: http://www.freedesktop.org/wiki/Software/libinput/

Package: libinput0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: input device management and event handling library - shared library
 libinput is a library that handles input devices for display servers and
 other applications that need to directly deal with input devices.
 .
 It provides device detection, device handling, input device event
 processing and abstraction so minimize the amount of custom input
 code the user of libinput need to provide the common set of
 functionality that users expect.

Package: libinput0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
 libinput0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: input device management and event handling library - debugging symbols
 libinput is a library that handles input devices for display servers and
 other applications that need to directly deal with input devices.
 .
 It provides device detection, device handling, input device event
 processing and abstraction so minimize the amount of custom input
 code the user of libinput need to provide the common set of
 functionality that users expect.

Package: libinput-dev
Section: libdevel
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
 libinput0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: input device management and event handling library - development files
 libinput is a library that handles input devices for display servers and
 other applications that need to directly deal with input devices.
 .
 It provides device detection, device handling, input device event
 processing and abstraction so minimize the amount of custom input
 code the user of libinput need to provide the common set of
 functionality that users expect.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_makeshlibs:
	dh_makeshlibs -plibinput0 -V -- -c4

override_dh_strip:
	dh_strip -plibinput0 --dbg-package=libinput0-dbg

%:
	dh $@ --with autoreconf

=== debian/watch ===
#git=git://anongit.freedesktop.org/wayland/libinput
version=3
http://www.freedesktop.org/software/libinput/libinput-(.*)\.tar\.xz

## libinput 0.6.0+dfsg

=== debian/changelog ===
libinput (0.6.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 16 Sep 2014 22:23:11 +0200

libinput (0.6.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.

 -- Hector Oron <zumbi@debian.org>  Fri, 12 Sep 2014 16:41:38 +0200

libinput (0.5.0+dfsg-1) unstable; urgency=medium

  * debian/copyright,
    debian/watch:
    + Exclude doc/html/* from the tarballs. Those are autogenerated doxygen
      files that we don't ship and that can be easily rebuilt if necessary.
      Closes: #757572.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 05 Sep 2014 00:21:35 +0200

libinput (0.5.0-1) experimental; urgency=medium

  * New upstream release.
    + The SONAME was bumped, thus rename the shared library package to
      libinput3.
  * debian/libinput3.symbols:
    + Updated for the new symbols.
  * debian/copyright:
    + Updated.
  * debian/gbp.conf:
    + Update for experimental.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 09 Aug 2014 01:32:46 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Standards-Version: 3.9.5
 Homepage: http://www.freedesktop.org/wiki/Software/libinput/
 
-Package: libinput0
+Package: libinput5
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -28,13 +28,13 @@
  code the user of libinput need to provide the common set of
  functionality that users expect.
 
-Package: libinput0-dbg
+Package: libinput5-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
 Depends:
- libinput0 (= ${binary:Version}),
+ libinput5 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends},
 Description: input device management and event handling library - debugging symbols
@@ -52,7 +52,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libinput0 (= ${binary:Version}),
+ libinput5 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends},
 Description: input device management and event handling library - development files

=== debian/rules ===
#!/usr/bin/make -f

override_dh_makeshlibs:
	dh_makeshlibs -plibinput5 -V -- -c4

override_dh_strip:
	dh_strip -plibinput5 --dbg-package=libinput5-dbg

%:
	dh $@ --with autoreconf

=== debian/watch ===
#git=git://anongit.freedesktop.org/wayland/libinput
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://www.freedesktop.org/software/libinput/libinput-(.*)\.tar\.xz

## libinput 0.10.0

=== debian/changelog ===
libinput (0.10.0-1) experimental; urgency=medium

  * New upstream release, bugfix release:
    - A call to libinput_device_config_accel_set_speed() with a value of NAN
      triggered an assert() in libinput. Thanks to Olivier for hunting this
      down.
    - Pointer devices with absolute axes (such as the ones used in VMs)
      had an uninitialized pointer acceleration speed, triggering a warning in
      the xorg libinput driver.

 -- Hector Oron <zumbi@debian.org>  Fri, 06 Feb 2015 02:25:54 +0100

libinput (0.9.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Support for hovering fingers on touchpads. Some touchpads detect fingers
      before actually touching the surface causing unexpected motion
      events. libinput now handles such touchpads.
    - Click methods are now configurable, see below for more details.
    - Support for the Lenovo X1 Carbon 3rd was added. Note that this requires
      kernel patches and a udev hwdb addition, see this post for more details:
  http://who-t.blogspot.com.au/2015/01/lenovos-x1-carbon-3rd-touchpad-woes.html
  * d/libinput7.symbols: update 

 -- Hector Oron <zumbi@debian.org>  Fri, 30 Jan 2015 13:21:30 +0100

libinput (0.8.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * d/control: add myself to uploaders
  * Upload to experimental.
  * d/control: bump standards version, no changes needed.
  * d/control: bump libinput5 to libinput7. soname bump.
  * d/libinput7.install: bump lib soname
  * d/libinput7.symbols: update

 -- Hector Oron <zumbi@debian.org>  Sat, 24 Jan 2015 10:54:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Emilio Pozuelo Monfort <pochu@debian.org>
+Uploaders: Hector Oron <zumbi@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
@@ -9,10 +10,10 @@
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
  libevdev-dev (>= 0.4),
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.freedesktop.org/wiki/Software/libinput/
 
-Package: libinput5
+Package: libinput7
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -28,13 +29,13 @@
  code the user of libinput need to provide the common set of
  functionality that users expect.
 
-Package: libinput5-dbg
+Package: libinput7-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
 Depends:
- libinput5 (= ${binary:Version}),
+ libinput7 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends},
 Description: input device management and event handling library - debugging symbols
@@ -52,7 +53,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libinput5 (= ${binary:Version}),
+ libinput7 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends},
 Description: input device management and event handling library - development files

=== debian/rules ===
#!/usr/bin/make -f

override_dh_makeshlibs:
	dh_makeshlibs -plibinput7 -V -- -c4

override_dh_strip:
	dh_strip -plibinput7 --dbg-package=libinput7-dbg

%:
	dh $@ --with autoreconf

## libinput 1.0.1

=== debian/changelog ===
libinput (1.0.1-1ubuntu1) wily; urgency=medium

  * Merge new upstream release from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 25 Sep 2015 05:48:21 +0300

libinput (1.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Sep 2015 11:52:08 +0300

libinput (0.21.0-1ubuntu1) wily; urgency=medium

  * debian/patches/touch-point-orientation-size.patch:
  * debian/patches/fix-litest.patch:
    - Add support for touchscreen contact properties (LP: #1488064)
  * debian/libinput10.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 24 Aug 2015 13:13:32 +0100

libinput (0.21.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Add Vcs urls.
  * symbols: Updated.
  * source/local-options: Added extend-diff-ignore to filter files only
    in git and not in upstream tarballs.
  * Add a udeb package.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Aug 2015 08:41:30 +0300

libinput (0.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Hector Oron <zumbi@debian.org>  Sat, 13 Jun 2015 01:52:44 +0200

libinput (0.15.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 27 May 2015 00:19:33 +0200

libinput (0.15.0-1) experimental; urgency=medium

  * New upstream release.
    - see upstream changes: http://www.freedesktop.org/wiki/Software/libinput/
  * d/control: update ABI/API to libinput10.

 -- Hector Oron <zumbi@debian.org>  Wed, 06 May 2015 11:16:14 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,11 @@
  libudev-dev,
  libevdev-dev (>= 0.4),
 Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-xorg/lib/libinput.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-xorg/lib/libinput.git
 Homepage: http://www.freedesktop.org/wiki/Software/libinput/
 
-Package: libinput7
+Package: libinput10
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -29,13 +31,23 @@
  code the user of libinput need to provide the common set of
  functionality that users expect.
 
-Package: libinput7-dbg
+Package: libinput10-udeb
+XC-Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Description: input device management and event handling library - shared library
+ This is a udeb, or a microdeb, for the debian-installer.
+
+Package: libinput10-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
 Depends:
- libinput7 (= ${binary:Version}),
+ libinput10 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends},
 Description: input device management and event handling library - debugging symbols
@@ -53,7 +65,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libinput7 (= ${binary:Version}),
+ libinput10 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends},
 Description: input device management and event handling library - development files

## libinput 1.2.3

=== debian/changelog ===
libinput (1.2.3-1ubuntu1) xenial; urgency=medium

  * Merge from debian.
  * touchpad-add-a-middle-button-software-area.diff: Add a software area
    for middle-button emulation. (LP: #1570282)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Apr 2016 13:17:43 +0300

libinput (1.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Apr 2016 23:41:40 +0300

libinput (1.2.2-1ubuntu1) xenial; urgency=medium

  * Merge from debian.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Mar 2016 11:12:01 +0200

libinput (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Mar 2016 10:49:19 +0200

libinput (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Add libwacom-dev to build-depends.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 23 Feb 2016 16:23:11 +0200

libinput (1.1.7-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 10 Feb 2016 17:19:28 +0100

libinput (1.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 05 Feb 2016 10:37:55 +0100

libinput (1.1.4-1ubuntu1) xenial; urgency=medium

  * Merge from debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Jan 2016 12:42:12 +0200

libinput (1.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Jan 2016 14:13:45 +0200

libinput (1.1.3-1ubuntu1) xenial; urgency=medium

  * Merge from debian.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Dec 2015 16:15:47 +0200

libinput (1.1.3-1) unstable; urgency=medium

  [ Andreas Boll ]
  * Change maintainer to Debian X Strike Force.

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Dec 2015 14:54:35 +0200

libinput (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Add a package for libinput-tools, thanks Alessio Treglia!
    (Closes: #806985)
  * control: Update long descriptions.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Dec 2015 08:34:16 +0200

libinput (1.1.0-1ubuntu2) xenial; urgency=medium

  * touch-point-orientation-size.patch: Updated to v8 from list, but use
    old version for symbols.
  * fix-premature-flushing-of-evdev-event-on-mx4.patch: Added. (LP:
    #1504168)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Nov 2015 15:16:20 +0200

libinput (1.1.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.
  * fix-litest.patch: Dropped, upstream.
  * touch-point-orientation-size.patch: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 27 Oct 2015 15:39:23 +0200

libinput (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 27 Oct 2015 14:54:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libinput
 Section: libs
 Priority: optional
-Maintainer: Emilio Pozuelo Monfort <pochu@debian.org>
-Uploaders: Hector Oron <zumbi@debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Hector Oron <zumbi@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
@@ -10,6 +10,7 @@
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
  libevdev-dev (>= 0.4),
+ libwacom-dev (>= 0.12),
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-xorg/lib/libinput.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-xorg/lib/libinput.git
@@ -30,6 +31,8 @@
  processing and abstraction so minimize the amount of custom input
  code the user of libinput need to provide the common set of
  functionality that users expect.
+ .
+ This package includes the shared library.
 
 Package: libinput10-udeb
 XC-Package-Type: udeb
@@ -58,6 +61,8 @@
  processing and abstraction so minimize the amount of custom input
  code the user of libinput need to provide the common set of
  functionality that users expect.
+ .
+ This package includes the debugging symbols.
 
 Package: libinput-dev
 Section: libdevel
@@ -76,3 +81,25 @@
  processing and abstraction so minimize the amount of custom input
  code the user of libinput need to provide the common set of
  functionality that users expect.
+ .
+ This package includes the development headers.
+
+Package: libinput-tools
+Section: libdevel
+Priority: extra
+Architecture: any
+Multi-Arch: allowed
+Depends:
+ libinput10 (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends},
+Description: input device management and event handling library - command line tools
+ libinput is a library that handles input devices for display servers and
+ other applications that need to directly deal with input devices.
+ .
+ It provides device detection, device handling, input device event
+ processing and abstraction so minimize the amount of custom input
+ code the user of libinput need to provide the common set of
+ functionality that users expect.
+ .
+ This package includes the command line tools.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_makeshlibs:
	dh_makeshlibs -plibinput10 -V --add-udeb="libinput10-udeb" -- -c4

override_dh_strip:
	dh_strip --dbg-package=libinput10-dbg

override_dh_clean:
	rm -f doc/doxygen_sqlite3.db
	dh_clean

%:
	dh $@ --with autoreconf

## libinput 1.3.1

=== debian/changelog ===
libinput (1.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes 'libinput is very choppy with ELAN1000 touchpads'
    (Closes: #825784)

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 30 May 2016 12:29:50 +0200

libinput (1.3.0-2) unstable; urgency=medium

  * rules: Use --fail-missing for dh_install.
  * rules: Use proper udev base dir.
  * rules: Purge .la files.
  * Install udev quirks and helpers in libinput-bin. (Closes: #822872)
  * Drop manual -dbg package.
  * control: Fix Vcs-Git url.
  * copyright: Update license, copyrights.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 May 2016 14:24:09 +0300

libinput (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.
  * control: Use https vcs urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 May 2016 11:01:43 +0300

libinput (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * copyright: Drop trailing / from Files-Excluded.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Apr 2016 11:36:37 +0300

## libinput 1.4.3

=== debian/changelog ===
libinput (1.4.3-0ubuntu1) yakkety; urgency=medium

  * New upstream bugfix release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 28 Sep 2016 15:44:08 +0300

libinput (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 19 Aug 2016 08:56:04 +0200

libinput (1.4.0-1ubuntu2) yakkety; urgency=medium

  * touch-point-orientation-size.patch: Drop conflicting deg2rad.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 02 Aug 2016 12:16:25 +0300

libinput (1.4.0-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian.
  * Refresh patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 02 Aug 2016 10:47:19 +0300

libinput (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libinput10.symbols: add new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 01 Aug 2016 17:54:58 +0200

libinput (1.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 17 Jul 2016 18:56:44 +0200

libinput (1.3.1-1ubuntu1) yakkety; urgency=medium

  * Merge from debian. (LP: #1587396, #1571291)
  * Refresh patches, drop touchpad-add-a-middle-button-software-area.diff
    which is upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 08 Jun 2016 10:57:48 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Hector Oron <zumbi@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
@@ -11,9 +11,9 @@
  libudev-dev,
  libevdev-dev (>= 0.4),
  libwacom-dev (>= 0.12),
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-xorg/lib/libinput.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-xorg/lib/libinput.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/lib/libinput.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/lib/libinput.git
 Homepage: http://www.freedesktop.org/wiki/Software/libinput/
 
 Package: libinput10
@@ -23,6 +23,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ libinput-bin (>= ${binary:Version}),
 Description: input device management and event handling library - shared library
  libinput is a library that handles input devices for display servers and
  other applications that need to directly deal with input devices.
@@ -34,6 +35,24 @@
  .
  This package includes the shared library.
 
+Package: libinput-bin
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: foreign
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Description: input device management and event handling library - udev quirks
+ libinput is a library that handles input devices for display servers and
+ other applications that need to directly deal with input devices.
+ .
+ It provides device detection, device handling, input device event
+ processing and abstraction so minimize the amount of custom input
+ code the user of libinput need to provide the common set of
+ functionality that users expect.
+ .
+ This package includes the udev quirks database and helpers.
+
 Package: libinput10-udeb
 XC-Package-Type: udeb
 Section: debian-installer
@@ -43,26 +62,6 @@
  ${misc:Depends},
 Description: input device management and event handling library - shared library
  This is a udeb, or a microdeb, for the debian-installer.
-
-Package: libinput10-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends:
- libinput10 (= ${binary:Version}),
- ${shlibs:Depends},
- ${misc:Depends},
-Description: input device management and event handling library - debugging symbols
- libinput is a library that handles input devices for display servers and
- other applications that need to directly deal with input devices.
- .
- It provides device detection, device handling, input device event
- processing and abstraction so minimize the amount of custom input
- code the user of libinput need to provide the common set of
- functionality that users expect.
- .
- This package includes the debugging symbols.
 
 Package: libinput-dev
 Section: libdevel

## libinput 1.6.3

=== debian/changelog ===
libinput (1.6.3-1ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1687981)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 May 2017 14:36:32 +0300

libinput (1.6.3-1ubuntu1) zesty; urgency=medium

  * Merge from Debian.
  * Refresh patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Mar 2017 14:16:43 +0200

libinput (1.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Mar 2017 13:36:36 +0200

libinput (1.6.2-1) unstable; urgency=medium

  * New upstream release.
    + Fixes slow tap timeout. Closes: #853869.
  * Bump libwacom-dev requirement to 0.20.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 27 Feb 2017 20:23:59 +0100

libinput (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 25 Jan 2017 00:24:53 +0100

libinput (1.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 17 Jan 2017 20:21:47 +0100

libinput (1.5.3-1ubuntu1) zesty; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Dec 2016 16:22:20 +0200

libinput (1.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Dec 2016 16:18:19 +0200

libinput (1.5.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Add libudev-dev to libinput-dev depends. (Closes: #846506)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Dec 2016 10:07:40 +0200

libinput (1.5.1-1ubuntu1) zesty; urgency=medium

  * Merge from Debian.
  * Split, rename & refresh patches for touch point orientation and
    event flushing on MX4.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Nov 2016 15:48:09 +0200

libinput (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * watch: Let uscan verify tarball signatures.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Nov 2016 15:58:09 +0200

libinput (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libinput10.symbols: add new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 14 Sep 2016 11:45:02 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
  libevdev-dev (>= 0.4),
- libwacom-dev (>= 0.12),
+ libwacom-dev (>= 0.20),
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/lib/libinput.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/lib/libinput.git
@@ -70,6 +70,7 @@
 Multi-Arch: same
 Depends:
  libinput10 (= ${binary:Version}),
+ libudev-dev,
  ${shlibs:Depends},
  ${misc:Depends},
 Description: input device management and event handling library - development files

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-udev-dir=/lib/udev

override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -plibinput10 -V --add-udeb="libinput10-udeb" -- -c4

override_dh_clean:
	rm -f doc/doxygen_sqlite3.db
	dh_clean

%:
	dh $@ --with autoreconf

## libinput 1.7.3

=== debian/changelog ===
libinput (1.7.3-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 23 Dec 2018 16:28:17 -0800

libinput (1.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Jun 2017 19:18:50 +0300

libinput (1.7.2-1) experimental; urgency=medium

  * New upstream release.
  * local-options: Add test/generate-gcov-report.sh to extend-diff-
    ignore.
  * Update symbols file.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 May 2017 15:53:14 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libinput
 Section: libs
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends:
  debhelper (>= 9),

=== debian/rules ===
--- 
+++ 
@@ -15,5 +15,8 @@
 	rm -f doc/doxygen_sqlite3.db
 	dh_clean
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 %:
 	dh $@ --with autoreconf

## libinput 1.8.2

=== debian/changelog ===
libinput (1.8.2-1ubuntu2) artful; urgency=medium

  * debian/patches/0005-touchpad-don-t-resume-a-disabled-touchpad.patch:
    Backport from upstream - keep the disabled state properly across
    suspend/resume. Thanks to Jonas Ådahl for help investigating. (LP:
    #1715479)

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 28 Sep 2017 18:40:24 +0100

libinput (1.8.2-1ubuntu1) artful; urgency=medium

  * Merge from Debian.
  * Refresh patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Sep 2017 17:14:37 +0300

libinput (1.8.2-1) unstable; urgency=medium

  * New upstream release.
  * local-options: Add circle.yml to extend-diff-ignore.
  * Bump Standards-Version to 4.1.0; no changes needed.
  * Bump debhelper compat to 10.
    + dh-autoreconf is enabled by default in compat 10.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 09 Sep 2017 14:20:15 +0200

libinput (1.8.0-1ubuntu1) artful; urgency=medium

  * Merge from Debian.
  * 0002-extend-tools-to-print-and-display-touch-event-proper.patch:
    Dropped, event-debug is gone.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Jul 2017 10:17:04 +0300

libinput (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: Explicitly disable building debug-gui, documentation and
    tests.
  * tools: Add debug tools.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Jul 2017 00:56:56 +0300

libinput (1.7.3-1ubuntu1) artful; urgency=medium

  * Merge from Debian.
  * Refresh patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Jun 2017 19:27:20 +0300

## libinput 1.8.4

=== debian/changelog ===
libinput (1.8.4-0ubuntu0.17.10.1) artful; urgency=medium

  * New bugfix release. (LP: #1724259, #1733573)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 21 Nov 2017 13:52:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: libinput
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 10),
  pkg-config,
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
  libevdev-dev (>= 0.4),
  libwacom-dev (>= 0.20),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/lib/libinput.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/lib/libinput.git
 Homepage: http://www.freedesktop.org/wiki/Software/libinput/

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--enable-debug-gui=no \
+		--enable-documentation=no \
+		--enable-tests=no \
 		--with-udev-dir=/lib/udev
 
 override_dh_install:
@@ -15,8 +18,5 @@
 	rm -f doc/doxygen_sqlite3.db
 	dh_clean
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 %:
-	dh $@ --with autoreconf
+	dh $@

## libinput 1.10.4

=== debian/changelog ===
libinput (1.10.4-1ubuntu0.18.04.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Format string vulnerability
    - d/p/0001-evdev-strip-the-device-name-of-format-directives.patch:
      Cleanup device name to ensure format string directives are
      neutralised when logging in src/evdev.c. Based on upstream patch.
    - CVE-2022-1215

 -- Alex Murray <alex.murray@canonical.com>  Tue, 19 Apr 2022 16:38:40 +0930

libinput (1.10.4-1ubuntu0.18.04.2) bionic; urgency=medium

  * Unset INPUT_PROP_BUTTONPAD for Dell Precision 7x50. (LP: #1905819)
  * Update control build-dep libevdev-dev (>= 1.5.8+dfsg-1ubuntu0.1) for
    libevdev_disable_property API.

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Mon, 30 Nov 2020 20:08:24 +0800

libinput (1.10.4-1ubuntu0.18.04.1) bionic; urgency=medium

  * dont-disable-tapping-on-mt-tool-palm.diff: Don't disable tapping if
    tool-based palm is detected. (LP: #1837962)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 29 Jul 2019 09:12:33 +0300

libinput (1.10.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Apr 2018 13:16:50 +0300

libinput (1.10.3-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * control: Update VCS urls.
  * control: Add more packages to libinput-dev Depends as a workaround for
    buggy meson/pkg-config. (Closes: #893067)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 18 Mar 2018 15:39:44 +0200

libinput (1.10.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #892714)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 14 Mar 2018 11:04:22 +0200

libinput (1.10.2-1) unstable; urgency=medium

  * New upstream release.
    - touchpad fixes (LP: #1751190)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Mar 2018 17:51:58 +0200

libinput (1.10.1-1) unstable; urgency=medium

  * New upstream release.
    - fix crashers (Closes: #891579) (LP: #1750664)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 28 Feb 2018 18:20:21 +0200

libinput (1.10.0-1) unstable; urgency=medium

  * New upstream release. (LP: #1749340)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Feb 2018 22:14:47 +0200

libinput (1.9.4-2) unstable; urgency=medium

  * Drop the patch, it doesn't work well enough detecting when to
    disable hysteresis. (Closes: #884599)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Dec 2017 00:22:44 +0200

libinput (1.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Add fix-lp1696929.patch to fix unresponsive/laggy touchpad behaviour
    caused by inappropriate use of software hysteresis (LP: #1696929).
    Thanks, Daniel van Vugt!

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Dec 2017 12:40:25 +0200

libinput (1.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 30 Nov 2017 20:05:41 +0100

libinput (1.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Switch to meson.
  * Add new symbols.
  * Move libinput-{dev,tools} to priority optional.
  * Add python3 dependencies for new python scripts.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 18 Nov 2017 18:47:56 +0100

libinput (1.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1; no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 10 Oct 2017 20:18:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: libinput
 Section: libs
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends:
  debhelper (>= 10),
+ meson,
  pkg-config,
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
- libevdev-dev (>= 0.4),
+ libevdev-dev (>= 1.5.8+dfsg-1ubuntu0.1),
  libwacom-dev (>= 0.20),
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/lib/libinput.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/lib/libinput.git
+Standards-Version: 4.1.1
+Vcs-Git: https://salsa.debian.org/xorg-team/lib/libinput.git
+Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libinput
 Homepage: http://www.freedesktop.org/wiki/Software/libinput/
 
 Package: libinput10
@@ -64,12 +66,14 @@
 
 Package: libinput-dev
 Section: libdevel
-Priority: extra
 Architecture: any
 Multi-Arch: same
 Depends:
  libinput10 (= ${binary:Version}),
+ libmtdev-dev (>= 1.1.0),
  libudev-dev,
+ libevdev-dev (>= 1.5.8+dfsg-1ubuntu0.1),
+ libwacom-dev (>= 0.20),
  ${shlibs:Depends},
  ${misc:Depends},
 Description: input device management and event handling library - development files
@@ -85,13 +89,15 @@
 
 Package: libinput-tools
 Section: libdevel
-Priority: extra
 Architecture: any
 Multi-Arch: allowed
 Depends:
  libinput10 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends},
+ python3,
+ python3-evdev,
+ python3-pyudev,
 Description: input device management and event handling library - command line tools
  libinput is a library that handles input devices for display servers and
  other applications that need to directly deal with input devices.

=== debian/watch ===
#git=git://anongit.freedesktop.org/wayland/libinput
version=3
opts=pgpsigurlmangle=s/$/.sig/,dversionmangle=s/\+dfsg\d*$// \
http://www.freedesktop.org/software/libinput/libinput-(.*)\.tar\.xz

## libinput 1.12.1

=== debian/changelog ===
libinput (1.12.1-1) unstable; urgency=medium

  * New upstream release.
    - add/fix quirks
  * source: Update diff-ignore.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Oct 2018 12:47:10 +0300

libinput (1.12.0-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release. (Closes: #907236)
  * bin.install: Add quirks path.
  * copyright: Re-order some things to make lintian happy.
  * source: Add .gitlab-ci.yml to extend-diff-ignore.

  [ Julien Cristau ]
  * Bump debhelper build-dep to 10.3 for meson build system support.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 11 Sep 2018 09:12:53 +0300

libinput (1.11.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream gitlab CI file.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 Aug 2018 09:38:47 +0300

libinput (1.11.2-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 16 Jul 2018 12:20:45 +0200

libinput (1.11.1-1) unstable; urgency=medium

  * New upstream release. (LP: #1764097, #1746740, #1761365)
  * tests: Add a simple smoketest to check that linking to libinput
    works. Thanks, Simon McVittie! (Closes: #893391)
  * watch: Update upstream git repo location.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 21 Jun 2018 22:14:02 +0300

libinput (1.10.7-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 21 May 2018 16:12:52 +0300

libinput (1.10.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 May 2018 14:48:31 +0300

libinput (1.10.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 23 Apr 2018 10:17:20 +0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: libinput
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 10.3),
  meson,
  pkg-config,
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
- libevdev-dev (>= 1.5.8+dfsg-1ubuntu0.1),
+ libevdev-dev (>= 0.4),
  libwacom-dev (>= 0.20),
 Standards-Version: 4.1.1
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libinput.git
@@ -72,7 +71,7 @@
  libinput10 (= ${binary:Version}),
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
- libevdev-dev (>= 1.5.8+dfsg-1ubuntu0.1),
+ libevdev-dev (>= 0.4),
  libwacom-dev (>= 0.20),
  ${shlibs:Depends},
  ${misc:Depends},

## libinput 1.12.6

=== debian/changelog ===
libinput (1.12.6-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Add minimum required version of meson build-dep.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 07 Mar 2019 18:51:05 -0800

libinput (1.12.6-1) unstable; urgency=medium

  * New upstream release.
  * control: Fix typos in descriptions. (Closes: #916458)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 23 Jan 2019 13:51:42 +0200

libinput (1.12.4-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Replace XC-Package-Type with Package-Type.

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 18 Dec 2018 12:13:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libinput
 Section: libs
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends:
  debhelper (>= 10.3),
- meson,
+ meson (>= 0.41),
  pkg-config,
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
@@ -29,8 +30,8 @@
  other applications that need to directly deal with input devices.
  .
  It provides device detection, device handling, input device event
- processing and abstraction so minimize the amount of custom input
- code the user of libinput need to provide the common set of
+ processing and abstraction to minimize the amount of custom input
+ code the user of libinput needs to provide the common set of
  functionality that users expect.
  .
  This package includes the shared library.
@@ -47,14 +48,14 @@
  other applications that need to directly deal with input devices.
  .
  It provides device detection, device handling, input device event
- processing and abstraction so minimize the amount of custom input
- code the user of libinput need to provide the common set of
+ processing and abstraction to minimize the amount of custom input
+ code the user of libinput needs to provide the common set of
  functionality that users expect.
  .
  This package includes the udev quirks database and helpers.
 
 Package: libinput10-udeb
-XC-Package-Type: udeb
+Package-Type: udeb
 Section: debian-installer
 Architecture: any
 Depends:
@@ -80,8 +81,8 @@
  other applications that need to directly deal with input devices.
  .
  It provides device detection, device handling, input device event
- processing and abstraction so minimize the amount of custom input
- code the user of libinput need to provide the common set of
+ processing and abstraction to minimize the amount of custom input
+ code the user of libinput needs to provide the common set of
  functionality that users expect.
  .
  This package includes the development headers.
@@ -102,8 +103,8 @@
  other applications that need to directly deal with input devices.
  .
  It provides device detection, device handling, input device event
- processing and abstraction so minimize the amount of custom input
- code the user of libinput need to provide the common set of
+ processing and abstraction to minimize the amount of custom input
+ code the user of libinput needs to provide the common set of
  functionality that users expect.
  .
  This package includes the command line tools.

## libinput 1.12.6.1

=== meson_options.txt ===
--- 
+++ 
@@ -2,6 +2,10 @@
        type: 'string',
        value: '',
        description: 'udev base directory [default=$prefix/lib/udev]')
+option('epoll-dir',
+       type: 'string',
+       value: '',
+       description: 'libepoll-shim base directory (for non-Linux OS) [default=$prefix]')
 option('libwacom',
        type: 'boolean',
        value: true,
@@ -18,3 +22,7 @@
        type: 'boolean',
        value: true,
        description: 'Build the documentation [default=true]')
+option('coverity',
+       type: 'boolean',
+       value: false,
+       description: 'Enable coverity build fixes, see meson.build for details [default=false]')

=== debian/changelog ===
libinput (1.12.6.1-1+deepin) unstable; urgency=low

  * ['Autobuild release-candidate: 61bccee2c49600ba0e7ea42d78e0c76fbb7d15ad']

 -- shuttle <shuttle@deepin.com>  Mon, 22 Jul 2019 16:52:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libinput
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends:
  debhelper (>= 10.3),
- meson (>= 0.41),
+ meson,
  pkg-config,
  libmtdev-dev (>= 1.1.0),
  libudev-dev,

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--enable-debug-gui=no \
-		--enable-documentation=no \
-		--enable-tests=no \
-		--with-udev-dir=/lib/udev
+		-Ddebug-gui=false \
+		-Ddocumentation=false \
+		-Dtests=false \
+		-Dudev-dir=/lib/udev
 
 override_dh_install:
 	find debian/tmp -name '*.la' -delete

## libinput 1.14.1

=== debian/changelog ===
libinput (1.14.1-2) unstable; urgency=medium

  * control: Fix libinput-tools to depend on python3-libevdev instead of
    -evdev. (LP: #1846323)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Oct 2019 16:49:51 +0300

libinput (1.14.1-1) unstable; urgency=medium

  * New upstream release.
  * tools.install: Add zsh completions.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 08 Sep 2019 00:37:12 +0300

libinput (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 08 Aug 2019 13:37:23 +0300

libinput (1.13.4-1) unstable; urgency=medium

  * New upstream release.
  * source: Update diff-ignore.
  * control: Bump policy to 4.4.
  * rules: Use dh_missing.
  * compat, control: Bump debhelper to 12.
  * tools.install: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 08 Jul 2019 14:27:40 +0300

libinput (1.12.6-2) unstable; urgency=medium

  * Ship /usr/share/libinput in the udeb, since that's now needed by the
    libinput X driver.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 31 Mar 2019 03:42:45 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Héctor Orón Martínez <zumbi@debian.org>
 Build-Depends:
- debhelper (>= 10.3),
+ debhelper (>= 12),
  meson,
  pkg-config,
  libmtdev-dev (>= 1.1.0),
  libudev-dev,
  libevdev-dev (>= 0.4),
  libwacom-dev (>= 0.20),
-Standards-Version: 4.1.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libinput.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libinput
 Homepage: http://www.freedesktop.org/wiki/Software/libinput/
@@ -95,7 +95,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  python3,
- python3-evdev,
+ python3-libevdev,
  python3-pyudev,
 Description: input device management and event handling library - command line tools
  libinput is a library that handles input devices for display servers and

## libinput 1.15.3

=== debian/changelog ===
libinput (1.15.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 07 Mar 2020 10:28:37 +0200

libinput (1.15.2-1) unstable; urgency=medium

  * New upstream release. (LP: #1863454)
  * control: Use debhelper-compat.
  * fix-fuzz-override-rules.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 20 Feb 2020 09:36:56 +0200

libinput (1.15.1-2) unstable; urgency=medium

  * fix-fuzz-override-rules.diff: Fix issues with some touchpads.
    (Closes: #950981)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 19 Feb 2020 14:56:12 +0200

libinput (1.15.1-1) unstable; urgency=medium

  * New upstream release.
  * source: Update diff-ignore.
  * symbols: Updated.
  * tests: Modified to be cross-test-friendly. (Closes: #946577)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 05 Feb 2020 18:20:32 +0200

libinput (1.14.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Nov 2019 15:50:24 +0200

libinput (1.14.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Oct 2019 21:38:12 +0300
